Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms
Class DefaultFormManager

    java.lang.Object
      org.apache.cocoon.forms.DefaultFormManager

All Implemented Interfaces:
  FormManager

public class DefaultFormManager
extends Object
implements FormManager

Component implementing the `FormManager` role.

Version:
  $Id: DefaultFormManager.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary
`protected CacheManager` | `cacheManager`
`protected Map` | `widgetDefinitionBuilders`

Fields inherited from interface org.apache.cocoon.forms.FormManager
`ROLE`

Constructor Summary
`DefaultFormManager()`

Method Summary
`Form` | `createForm(Element formElement)` Creates a form instance based on the XML form definition that is supplied as a DOM tree.
`Form` | `createForm(Source source)` Creates a form instance based on the XML form definition that can be read from the specified source.
`Form` | `createForm(String uri)` Creates a form instance based on the XML form definition that can be retrieved from the specified URI.
`FormDefinition` | `createFormDefinition(Element formElement)` Creates a form definition based on the XML form definition that is supplied as a DOM tree.
`FormDefinition` | `createFormDefinition(Source source)` Creates a form definition based on the XML form definition that can be retrieved from the specified source.
`FormDefinition` | `createFormDefinition(String uri)` Creates a form definition based on the XML form definition that can be retrieved from the specified URI.
`Context` | `getAvalonContext()`
`void` | `setAvalonContext(Context avalonContext)`
`void` | `setCacheManager(CacheManager cacheManager)`
`void` | `setParser(org.apache.cocoon.core.xml.SAXParser parser)`
`void` | `setSourceResolver(SourceResolver sourceResolver)`
`void` | `setWidgetDefinitionBuilders(Map widgetDefinitionBuilders)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### widgetDefinitionBuilders

    protected Map widgetDefinitionBuilders

### cacheManager

    protected CacheManager cacheManager

Constructor Detail

### DefaultFormManager

    public DefaultFormManager()

Method Detail

### createForm

    public Form createForm(String uri)
                    throws Exception

  Description copied from interface: `FormManager`
  Creates a form instance based on the XML form definition that can be retrieved from the specified URI.

  The form definition will be cached, so that future form instances can be created quickly.

  Specified by:
    `createForm` in interface `FormManager`
  Throws:
    `Exception`

### createForm

    public Form createForm(Source source)
                    throws Exception

  Description copied from interface: `FormManager`
  Creates a form instance based on the XML form definition that can be read from the specified source.

  To avoid having to resolve the Source object yourself, use the `FormManager.createForm(String)` method.

  The form definition will be cached, so that future form instances can be created quickly.

  Specified by:
    `createForm` in interface `FormManager`
  Throws:
    `Exception`

### createForm

    public Form createForm(Element formElement)
                    throws Exception

  Description copied from interface: `FormManager`
  Creates a form instance based on the XML form definition that is supplied as a DOM tree.

  The specified element must be a fd:form element.

  The Form Definition will not be cached.

  Specified by:
    `createForm` in interface `FormManager`
  Throws:
    `Exception`

### createFormDefinition

    public FormDefinition createFormDefinition(String uri)
                                        throws Exception

  Description copied from interface: `FormManager`
  Creates a form definition based on the XML form definition that can be retrieved from the specified URI.

  The root element must be a <fd:form> element.

  The form definition will be cached, so that future form instances can be created quickly.

  Specified by:
    `createFormDefinition` in interface `FormManager`
  Throws:
    `Exception`

### createFormDefinition

    public FormDefinition createFormDefinition(Source source)
                                        throws Exception

  Description copied from interface: `FormManager`
  Creates a form definition based on the XML form definition that can be retrieved from the specified source.

  To avoid having to resolve the Source object yourself, use the `FormManager.createFormDefinition(String)` method.

  The root element must be a <fd:form> element.

  The form definition will be cached, so that future form instances can be created quickly.

  Specified by:
    `createFormDefinition` in interface `FormManager`
  Throws:
    `Exception`

### createFormDefinition

    public FormDefinition createFormDefinition(Element formElement)
                                        throws Exception

  Description copied from interface: `FormManager`
  Creates a form definition based on the XML form definition that is supplied as a DOM tree.

  The specified element must be a <fd:form> element.

  The Form Definition will not be cached.

  Specified by:
    `createFormDefinition` in interface `FormManager`
  Throws:
    `Exception`

### setWidgetDefinitionBuilders

    public void setWidgetDefinitionBuilders(Map widgetDefinitionBuilders)

### setCacheManager

    public void setCacheManager(CacheManager cacheManager)

### setParser

    public void setParser(org.apache.cocoon.core.xml.SAXParser parser)

### setSourceResolver

    public void setSourceResolver(SourceResolver sourceResolver)

### setAvalonContext

    public void setAvalonContext(Context avalonContext)

### getAvalonContext

    public Context getAvalonContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.